diff --git a/lua/hardline/common.lua b/lua/hardline/common.lua
index eb39ffd..57d17e4 100644
--- a/lua/hardline/common.lua
+++ b/lua/hardline/common.lua
@@ -10,11 +10,11 @@ M.modes = {
   ['v'] = {text = 'VISUAL', state = 'visual'},
   ['V'] = {text = 'V-LINE', state = 'visual'},
   [''] = {text = 'V-BLOCK', state = 'visual'},
-  ['c'] = {text = 'COMMAND', state = 'normal'},
+  ['c'] = {text = 'COMMAND', state = 'command'},
   ['s'] = {text = 'SELECT', state = 'visual'},
   ['S'] = {text = 'S-LINE', state = 'visual'},
   [''] = {text = 'S-BLOCK', state = 'visual'},
-  ['t'] = {text = 'TERMINAL', state = 'insert'},
+  ['t'] = {text = 'TERMINAL', state = 'command'},
 }
 
 function M.echo(hlgroup, msg)
diff --git a/lua/hardline/themes/default.lua b/lua/hardline/themes/default.lua
index 5de8d84..80d3a65 100644
--- a/lua/hardline/themes/default.lua
+++ b/lua/hardline/themes/default.lua
@@ -1,21 +1,22 @@
 local colors = {
-  red = {gui = '#E06C75', cterm = '204', cterm16 = '1'},
-  green = {gui = '#98C379', cterm = '114', cterm16 = '2'},
-  yellow = {gui = '#E5C07B', cterm = '180', cterm16 = '3'},
-  blue = {gui = '#61AFEF', cterm = '39', cterm16 = '4'},
-  purple = {gui = '#C678DD', cterm = '170', cterm16 = '5'},
-  white = {gui = '#ABB2BF', cterm = '145', cterm16 = '7'},
   black = {gui = '#282C34', cterm = '235', cterm16 = '0'},
-  comment_grey = {gui = "#5C6370", cterm = "59", cterm16 = "15"},
-  cursor_grey = {gui = "#2C323C", cterm = "236", cterm16 = "8"},
-  menu_grey = {gui = "#3E4452", cterm = "237", cterm16 = "8"},
+  blue = {gui = '#61AFEF', cterm = '39', cterm16 = '4'},
+  cyan = { gui = '#56B6C2', cterm = '38', cterm16 = '6'},
+  green = {gui = '#98C379', cterm = '114', cterm16 = '2'},
+  grey_comment = {gui = "#5C6370", cterm = "59", cterm16 = "15"},
+  grey_cursor = {gui = "#2C323C", cterm = "236", cterm16 = "8"},
+  grey_menu = {gui = "#3E4452", cterm = "237", cterm16 = "8"},
+  purple = {gui = '#C678DD', cterm = '170', cterm16 = '5'},
+  red = {gui = '#E06C75', cterm = '204', cterm16 = '1'},
+  white = {gui = '#ABB2BF', cterm = '145', cterm16 = '7'},
+  yellow = {gui = '#E5C07B', cterm = '180', cterm16 = '3'},
 }
 
 local inactive = {
-  guifg = colors.comment_grey.gui,
-  guibg = colors.cursor_grey.gui,
-  ctermfg = colors.comment_grey.cterm,
-  ctermbg = colors.cursor_grey.cterm,
+  guifg = colors.grey_comment.gui,
+  guibg = colors.grey_cursor.gui,
+  ctermfg = colors.grey_comment.cterm,
+  ctermbg = colors.grey_cursor.cterm,
 }
 
 return {
@@ -35,9 +36,9 @@ return {
     },
     replace = {
       guifg = colors.black.gui,
-      guibg = colors.red.gui,
+      guibg = colors.cyan.gui,
       ctermfg = colors.black.cterm,
-      ctermbg = colors.red.cterm,
+      ctermbg = colors.cyan.cterm,
     },
     visual = {
       guifg = colors.black.gui,
@@ -45,31 +46,37 @@ return {
       ctermfg = colors.black.cterm,
       ctermbg = colors.purple.cterm,
     },
+    command = {
+      guifg = colors.black.gui,
+      guibg = colors.red.gui,
+      ctermfg = colors.black.cterm,
+      ctermbg = colors.red.cterm,
+    },
   },
   low = {
     active = {
       guifg = colors.white.gui,
-      guibg = colors.cursor_grey.gui,
+      guibg = colors.grey_cursor.gui,
       ctermfg = colors.white.cterm,
-      ctermbg = colors.cursor_grey.cterm,
+      ctermbg = colors.grey_cursor.cterm,
     },
     inactive = inactive,
   },
   med = {
     active = {
       guifg = colors.yellow.gui,
-      guibg = colors.cursor_grey.gui,
+      guibg = colors.grey_cursor.gui,
       ctermfg = colors.yellow.cterm,
-      ctermbg = colors.cursor_grey.cterm,
+      ctermbg = colors.grey_cursor.cterm,
     },
     inactive = inactive,
   },
   high = {
     active = {
       guifg = colors.white.gui,
-      guibg = colors.menu_grey.gui,
+      guibg = colors.grey_menu.gui,
       ctermfg = colors.white.cterm,
-      ctermbg = colors.menu_grey.cterm,
+      ctermbg = colors.grey_menu.cterm,
     },
     inactive = inactive,
   },
@@ -92,12 +99,7 @@ return {
     inactive = inactive,
   },
   bufferline = {
-    separator = {
-      guifg = colors.comment_grey.gui,
-      guibg = colors.black.gui,
-      ctermfg = colors.comment_grey.cterm,
-      ctermbg = colors.black.cterm,
-    },
+    separator = inactive,
     current = {
       guifg = colors.black.gui,
       guibg = colors.green.gui,
diff --git a/lua/hardline/themes/one.lua b/lua/hardline/themes/one.lua
index 5de8d84..80d3a65 100644
--- a/lua/hardline/themes/one.lua
+++ b/lua/hardline/themes/one.lua
@@ -1,21 +1,22 @@
 local colors = {
-  red = {gui = '#E06C75', cterm = '204', cterm16 = '1'},
-  green = {gui = '#98C379', cterm = '114', cterm16 = '2'},
-  yellow = {gui = '#E5C07B', cterm = '180', cterm16 = '3'},
-  blue = {gui = '#61AFEF', cterm = '39', cterm16 = '4'},
-  purple = {gui = '#C678DD', cterm = '170', cterm16 = '5'},
-  white = {gui = '#ABB2BF', cterm = '145', cterm16 = '7'},
   black = {gui = '#282C34', cterm = '235', cterm16 = '0'},
-  comment_grey = {gui = "#5C6370", cterm = "59", cterm16 = "15"},
-  cursor_grey = {gui = "#2C323C", cterm = "236", cterm16 = "8"},
-  menu_grey = {gui = "#3E4452", cterm = "237", cterm16 = "8"},
+  blue = {gui = '#61AFEF', cterm = '39', cterm16 = '4'},
+  cyan = { gui = '#56B6C2', cterm = '38', cterm16 = '6'},
+  green = {gui = '#98C379', cterm = '114', cterm16 = '2'},
+  grey_comment = {gui = "#5C6370", cterm = "59", cterm16 = "15"},
+  grey_cursor = {gui = "#2C323C", cterm = "236", cterm16 = "8"},
+  grey_menu = {gui = "#3E4452", cterm = "237", cterm16 = "8"},
+  purple = {gui = '#C678DD', cterm = '170', cterm16 = '5'},
+  red = {gui = '#E06C75', cterm = '204', cterm16 = '1'},
+  white = {gui = '#ABB2BF', cterm = '145', cterm16 = '7'},
+  yellow = {gui = '#E5C07B', cterm = '180', cterm16 = '3'},
 }
 
 local inactive = {
-  guifg = colors.comment_grey.gui,
-  guibg = colors.cursor_grey.gui,
-  ctermfg = colors.comment_grey.cterm,
-  ctermbg = colors.cursor_grey.cterm,
+  guifg = colors.grey_comment.gui,
+  guibg = colors.grey_cursor.gui,
+  ctermfg = colors.grey_comment.cterm,
+  ctermbg = colors.grey_cursor.cterm,
 }
 
 return {
@@ -35,9 +36,9 @@ return {
     },
     replace = {
       guifg = colors.black.gui,
-      guibg = colors.red.gui,
+      guibg = colors.cyan.gui,
       ctermfg = colors.black.cterm,
-      ctermbg = colors.red.cterm,
+      ctermbg = colors.cyan.cterm,
     },
     visual = {
       guifg = colors.black.gui,
@@ -45,31 +46,37 @@ return {
       ctermfg = colors.black.cterm,
       ctermbg = colors.purple.cterm,
     },
+    command = {
+      guifg = colors.black.gui,
+      guibg = colors.red.gui,
+      ctermfg = colors.black.cterm,
+      ctermbg = colors.red.cterm,
+    },
   },
   low = {
     active = {
       guifg = colors.white.gui,
-      guibg = colors.cursor_grey.gui,
+      guibg = colors.grey_cursor.gui,
       ctermfg = colors.white.cterm,
-      ctermbg = colors.cursor_grey.cterm,
+      ctermbg = colors.grey_cursor.cterm,
     },
     inactive = inactive,
   },
   med = {
     active = {
       guifg = colors.yellow.gui,
-      guibg = colors.cursor_grey.gui,
+      guibg = colors.grey_cursor.gui,
       ctermfg = colors.yellow.cterm,
-      ctermbg = colors.cursor_grey.cterm,
+      ctermbg = colors.grey_cursor.cterm,
     },
     inactive = inactive,
   },
   high = {
     active = {
       guifg = colors.white.gui,
-      guibg = colors.menu_grey.gui,
+      guibg = colors.grey_menu.gui,
       ctermfg = colors.white.cterm,
-      ctermbg = colors.menu_grey.cterm,
+      ctermbg = colors.grey_menu.cterm,
     },
     inactive = inactive,
   },
@@ -92,12 +99,7 @@ return {
     inactive = inactive,
   },
   bufferline = {
-    separator = {
-      guifg = colors.comment_grey.gui,
-      guibg = colors.black.gui,
-      ctermfg = colors.comment_grey.cterm,
-      ctermbg = colors.black.cterm,
-    },
+    separator = inactive,
     current = {
       guifg = colors.black.gui,
       guibg = colors.green.gui,
